import threading
from gps import *

class GpsPoller(threading.Thread):

  def __init__(self):
    threading.Thread.__init__(self)
    self._session = gps(mode=WATCH_ENABLE)
    self.current_value = None

  def get_current_value(self):
    return self.current_value

  def get_lat(self):
    return self.current_value["lat"]

  def get_lon(self):
    return self.current_value["lon"]

  def run(self):
    try:
      while True:
        gps_val = self._session.next()
        if gps_val["class"] == "TPV":
          self.current_value = gps_val
    except StopIteration:
      pass